package com.ekingwin.eit.config;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.DependsOn;
import org.springframework.context.annotation.Primary;
import org.springframework.jdbc.datasource.lookup.JndiDataSourceLookup;

import javax.sql.DataSource;

/**
 * @author chenjb
 * @version 1.0.0
 * @ClassName DbConf.java
 * @Description TODO
 * @createTime 2020/6/16 16:03
 */
@Configuration
public class DbConf {

//    @Autowired
//    @Qualifier("dynamicDataSource")
//    private DataSource dataSource;

    @Bean(name = "jndiDataSource")
//    @DependsOn("dynamicDataSource")
    public DataSource jndiDataSource() {
//        DynamicDataSource dynamicDS = (DynamicDataSource) dataSource;
        JndiDataSourceLookup lookup = new JndiDataSourceLookup();
        lookup.setResourceRef(true);
        DataSource dataSource = lookup.getDataSource("java:comp/env/jdbc/eit");
//        dynamicDS.setDefaultTargetDataSource(dataSource);
        return dataSource;
    }
}
