package com.ekingwin.eit.productRocketMq;

import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.apache.rocketmq.spring.core.RocketMQTemplate;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.UUID;


public class ProductPhaseRocketMq {
    private static Logger logger = LoggerFactory.getLogger(ProductPhaseRocketMq.class);
//    public static void main(String[] args) {
//        DefaultMQProducer
//    }
    @Autowired
    private RocketMQTemplate rocketMQTemplate;

    public void productPhaseMessage(String topic, String tag, Object obj){
        String key = "KEY_" + UUID.randomUUID();
        String payload =null;
        try {
//             payload = this.getJsonString(obj);
//            SendResult sendResult = rocketMQTemplate.syncSend(StringUtils.hasText(tag) ? (topic + ":" + tag) : topic,
//                    MessageBuilder.withPayload(payload).setHeader("PROPERTY_KEYS", key).build());
//            logger.info("MessageQueue====",sendResult.getMessageQueue());
//            logger.info("SendStatus====",sendResult.getSendStatus());
//            logger.info("MsgId====",sendResult.getMsgId());
        } catch (Exception e) {
            logger.error("Produce {}:{} failed: {}", topic, tag, e.getMessage());
            logger.error("Payload: {}", payload);
            e.printStackTrace();
        }
    }

    private String getJsonString(Object obj) throws Exception {
        ObjectMapper mapper = new ObjectMapper();
        mapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
        return mapper.writeValueAsString(obj);
    }


}
