package com.ekingwin.eit.service.impl;

import com.ekingwin.eit.dao.ITestDemoDao;
import com.ekingwin.eit.dao.entity.TestDemoDO;
import com.ekingwin.eit.dto.TestDemoDTO;
import com.ekingwin.eit.service.ITestDemoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zugs
 */

@Service
@Primary
public class TestDemoServiceImpl implements ITestDemoService {
//    public TestDemoDTO save(TestDemoDTO testdemoDTO) {
//        try {
//            if(StringUtils.isBlank(testdemoDTO.getId())){
//                testdemoDTO.setId(String.valueOf(IdUtil.nextId()));
//            }
//            save(testdemoDTO, TestDemoDO.class, testdemoDao, (Object dest, Object src) ->this.buildDO(dest,src) );
//        } catch (Exception e) {
//            throw new BasRuntimeException(e);
//        }
//        TestDemoDTO newDto = new TestDemoDTO();
//        newDto.setId(testdemoDTO.getId());
//        return newDto;
//    }

//    private void buildDO(Object ado, Object dto) {
//        TestDemoDO adodemo=(TestDemoDO)ado;
//        TestDemoDTO dtodemo=(TestDemoDTO)dto;
//        adodemo.setId(dtodemo.getId());
//        adodemo.setName(dtodemo.getName());
//        adodemo.setContext(dtodemo.getContext());
//    }

//    public void delete(String id) {
//        testdemoDao.deleteByPrimaryKey(id);
//    }

//    public PageCriteria<TestDemoDTO> query(QueryDTO queryDTO) {
//        try {
//            Example example = buildQuery(queryDTO, TestDemoDO.class);
//            PageCriteria<TestDemoDTO> query = query(queryDTO, () -> testdemoDao.selectByExample(example), TestDemoDTO.class);
//            return query;
//        } catch (BasException e) {
//            System.out.println("ddddd===="+e.getMessage());
//            throw new BasRuntimeException(e);
//        }
//    }

//    public TestDemoDTO get(String id) {
//        try {
//            if(StringUtils.isEmpty(id)){
//                return new TestDemoDTO();
//            }
//            return get(TestDemoDTO.class, id, testdemoDao,(Object dest, Object src) ->this.buildDTO(dest,src));
//        } catch (Exception e) {
//            throw new BasRuntimeException(e.getMessage(),e);
//        }
//    }

    private void buildDTO(Object ado, Object dto) {
        TestDemoDTO adodemo=(TestDemoDTO)ado;
        TestDemoDO dtodemo=(TestDemoDO)dto;
        adodemo.setId(dtodemo.getId());
        adodemo.setName(dtodemo.getName());
        adodemo.setContext(dtodemo.getContext());
    }

    @Autowired
    private ITestDemoDao testdemoDao;

    @Override
    public List<TestDemoDO> getAllData(String id) {
        return testdemoDao.getAllData(id);
    }


}
