package com.ekingwin.eit.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author zugs
 */

@Repository
public interface IEwoPhaseRocketMqDao {

    List<Map<String,Object>> getEwoAllData();
    List<Map<String,Object>> getMyInfo(@Param("id") String id);
    List<Map<String,Object>> getProgramCodeInfo(@Param("id") String id);
    List<Map<String,Object>> getProductInfo(@Param("id") String id);
    List<Map<String,Object>> getPhaseaffectNodeInfo(@Param("id") String id);
    List<Map<String,Object>> getPhaseaffectInfo(@Param("myid") String myid,
                                                @Param("programcode") String programcode);
    List<Map<String,Object>> getGzInfo(@Param("instid") String instid);

    List<Map<String,Object>> getAllTuzycs();

}
